#include "run-time.h"

void _Init_dfmc_back_end_ () __attribute__((constructor));
void _Init_dfmc_back_end_ () {
  extern void _Init_Run_Time();
  extern void _Init_dfmc_back_end_protocol_();
  extern void _Init_dfmc_c_ffi_();
  extern void _Init_dfmc_macro_expander_();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_conversion_();
  extern void _Init_dfmc_core_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_back_end__X_back_end_library_for_system();
  extern void _Init_dfmc_back_end__X_back_end_for_system();
  extern void _Init_dfmc_back_end__X_load_bound_references_for_system();
  extern void _Init_dfmc_back_end__X_literal_table_for_system();
  extern void _Init_dfmc_back_end__X_heaps_for_system();
  extern void _Init_dfmc_back_end__X_heap_statistics_for_system();
  extern void _Init_dfmc_back_end__X_labels_for_system();
  extern void _Init_dfmc_back_end__X_mangle_for_system();
  extern void _Init_dfmc_back_end__X_register_allocation_for_system();
  extern void _Init_dfmc_back_end__X_raw_type_descriptors_for_system();
  extern void _Init_dfmc_back_end__X_emit_object_for_system();
  extern void _Init_dfmc_back_end__X_walker_for_system();
  extern void _Init_dfmc_back_end__X_emit_computation_for_system();
  extern void _Init_dfmc_back_end__X_back_end_library_for_user();
  extern void _Init_dfmc_back_end__X_back_end_for_user();
  extern void _Init_dfmc_back_end__X_load_bound_references_for_user();
  extern void _Init_dfmc_back_end__X_literal_table_for_user();
  extern void _Init_dfmc_back_end__X_heaps_for_user();
  extern void _Init_dfmc_back_end__X_heap_statistics_for_user();
  extern void _Init_dfmc_back_end__X_labels_for_user();
  extern void _Init_dfmc_back_end__X_mangle_for_user();
  extern void _Init_dfmc_back_end__X_register_allocation_for_user();
  extern void _Init_dfmc_back_end__X_raw_type_descriptors_for_user();
  extern void _Init_dfmc_back_end__X_emit_object_for_user();
  extern void _Init_dfmc_back_end__X_walker_for_user();
  extern void _Init_dfmc_back_end__X_emit_computation_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dfmc_back_end_protocol_();
    _Init_dfmc_c_ffi_();
    _Init_dfmc_macro_expander_();
    _Init_dfmc_reader_();
    _Init_dfmc_conversion_();
    _Init_dfmc_core_();
    _Init_dylan_();
    _Init_dfmc_back_end__X_back_end_library_for_system();
    _Init_dfmc_back_end__X_back_end_for_system();
    _Init_dfmc_back_end__X_load_bound_references_for_system();
    _Init_dfmc_back_end__X_literal_table_for_system();
    _Init_dfmc_back_end__X_heaps_for_system();
    _Init_dfmc_back_end__X_heap_statistics_for_system();
    _Init_dfmc_back_end__X_labels_for_system();
    _Init_dfmc_back_end__X_mangle_for_system();
    _Init_dfmc_back_end__X_register_allocation_for_system();
    _Init_dfmc_back_end__X_raw_type_descriptors_for_system();
    _Init_dfmc_back_end__X_emit_object_for_system();
    _Init_dfmc_back_end__X_walker_for_system();
    _Init_dfmc_back_end__X_emit_computation_for_system();
    _Init_dfmc_back_end__X_back_end_library_for_user();
    _Init_dfmc_back_end__X_back_end_for_user();
    _Init_dfmc_back_end__X_load_bound_references_for_user();
    _Init_dfmc_back_end__X_literal_table_for_user();
    _Init_dfmc_back_end__X_heaps_for_user();
    _Init_dfmc_back_end__X_heap_statistics_for_user();
    _Init_dfmc_back_end__X_labels_for_user();
    _Init_dfmc_back_end__X_mangle_for_user();
    _Init_dfmc_back_end__X_register_allocation_for_user();
    _Init_dfmc_back_end__X_raw_type_descriptors_for_user();
    _Init_dfmc_back_end__X_emit_object_for_user();
    _Init_dfmc_back_end__X_walker_for_user();
    _Init_dfmc_back_end__X_emit_computation_for_user();
  }
}
